package cn.timer.api.bean.xcgl;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author lal
 *
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name="xcgl_asso_jsgzzx")
@ApiModel("计薪规则组项")
public class XcglAssoJsgzzx extends Model<XcglAssoJsgzzx> {

    /**
	 * 
	 */
	private static final long serialVersionUID = -7779282068248192076L;

	@Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="id",example="101")
    private Integer id;
    
	@ApiModelProperty(value="薪资项 ",example="薪资项")
    private String salaryitem;
    
	@ApiModelProperty(value="银行模板项 ",example="需与银行一一对应")
    private String yhmbzd;
    
	@ApiModelProperty(value="规则 ",example="规则")
    private String rule;
    
	@ApiModelProperty(value="类型 1：系统项；2：非系统项",example="101")
    private Integer type;
    
	@ApiModelProperty(value="添加时间",example="101")
    private Long addtime;
    
	@ApiModelProperty(value="添加人员id",example="101")
    private Integer adduserid;
    
	@ApiModelProperty(value="计薪规则组id 0：未加入组",example="101")
    private Integer jxgzid;
    
	@ApiModelProperty(value="备注 ",example="备注")
    private String remarks;
    
	@ApiModelProperty(value="公式id  0：未关联规则",example="101")
    private Integer gsid;
    
	@ApiModelProperty(value="公式格式 ",example="系统提供/自定义公式")
    private String gsgs;

	@ApiModelProperty(value="公式变量值1 ",example="系统提供/公式变量值1")
	private Double dygk;

	@ApiModelProperty(value="公式变量值2 ",example="系统提供/公式变量值2")
	private Double degk;
	
	@ApiModelProperty(value="薪资组id ",example="薪资组id")
	private Integer xzzid;
	
	@ApiModelProperty(value="规则状态[0：系统自动提取；1：系统固定值；2：固定公式计算；3：自定义公式计算；4：每月自动导入]",example="0")
	private Integer rulestate;
    
	@ApiModelProperty(value="薪资选项id",example="薪资选项id")
	private Integer optionid;
	
	@ApiModelProperty(value="是否自定义项（0：否；1：是）",example="0")
	private Integer isCustom;
}